package com.izouma.awesomeadmin.model;


import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import java.util.Date;

@JsonAutoDetect
@JsonSerialize(include = JsonSerialize.Inclusion.NON_NULL)
public class ChatInfo {

    private Integer id;

    private Integer userId;

    private Integer toUserId;

    private String content;

    private Date time;

    private Integer contentType;

    private Integer state;

    private String nickName;

    private String icon;

    private Integer projectId;

    private String formId;

    private Integer storeId;

    private Integer typeFlag;

    private String serviceName;

    private String serviceNick;

    private String serviceIcon;


    public String getFormId() {
        return formId;
    }

    public void setFormId(String formId) {
        this.formId = formId;
    }

    public Integer getId() {

        return id;
    }


    public void setId(Integer id) {

        this.id = id;
    }


    public Integer getUserId() {

        return userId;
    }


    public void setUserId(Integer userId) {

        this.userId = userId;
    }


    public Integer getToUserId() {

        return toUserId;
    }


    public void setToUserId(Integer toUserId) {

        this.toUserId = toUserId;
    }


    public String getContent() {

        return content;
    }


    public void setContent(String content) {

        this.content = content;
    }


    public Date getTime() {

        return time;
    }


    public void setTime(Date time) {

        this.time = time;
    }


    public Integer getContentType() {

        return contentType;
    }


    public void setContentType(Integer contentType) {

        this.contentType = contentType;
    }


    public Integer getState() {

        return state;
    }


    public void setState(Integer state) {

        this.state = state;
    }


    public String getNickName() {

        return nickName;
    }


    public void setNickName(String nickName) {

        this.nickName = nickName;
    }


    public String getIcon() {

        return icon;
    }


    public void setIcon(String icon) {

        this.icon = icon;
    }


    public Integer getProjectId() {

        return projectId;
    }


    public void setProjectId(Integer projectId) {

        this.projectId = projectId;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public Integer getTypeFlag() {
        return typeFlag;
    }

    public void setTypeFlag(Integer typeFlag) {
        this.typeFlag = typeFlag;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getServiceNick() {
        return serviceNick;
    }

    public void setServiceNick(String serviceNick) {
        this.serviceNick = serviceNick;
    }

    public String getServiceIcon() {
        return serviceIcon;
    }

    public void setServiceIcon(String serviceIcon) {
        this.serviceIcon = serviceIcon;
    }

    @Override
    public String toString() {

        return "ChatInfo [id=" + id + ", userId=" + userId + ", toUserId=" + toUserId + ", content=" + content + ", time=" + time + ", contentType="
                + contentType + ", state=" + state + ", nickName=" + nickName + ", icon=" + icon + ", projectId=" + projectId + "]";
    }

}